package com.company.exceluploadsample.view.customer;

import com.company.exceluploadsample.entity.Customer;

import com.company.exceluploadsample.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.dataimport.InputDataFormat;
import io.jmix.dataimport.configuration.ImportConfiguration;
import io.jmix.flowui.component.upload.FileStorageUploadField;
import io.jmix.flowui.kit.component.upload.event.FileUploadSucceededEvent;
import io.jmix.flowui.view.*;

@Route(value = "customers", layout = MainView.class)
@ViewController("xls_Customer.list")
@ViewDescriptor("customer-list-view.xml")
@LookupComponent("customersDataGrid")
@DialogMode(width = "64em")
public class CustomerListView extends StandardListView<Customer> {

}